Bug 1571208 - [RFE] Keycloak/RHSSO integration
Summary: [RFE] Keycloak/RHSSO integration
Keywords:
Status: CLOSED DUPLICATE of bug 1774468
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Documentation
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Tahlia Richardson
QA Contact: satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 10:05 UTC by Eduardo Minguez
Modified: 2020-06-22 18:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-08 15:51:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16916 0 Normal New enhance external authentication capabilities with SAML 2020-04-22 14:48:02 UTC
Red Hat Bugzilla 1199091 0 medium CLOSED [RFE] enhance external authentication capabilities with SAML 2021-02-22 00:41:40 UTC

Internal Links: 1571210

Description Eduardo Minguez 2018-04-24 10:05:57 UTC
Description of problem: There isn't a documented procedure on how to use Keycloak/RHSSO as authentication mechanism for Satellite 6


Version-Release number of selected component (if applicable): 6.3.1


How reproducible: Look for documentation on how to perform the integration.


Steps to Reproduce:
1. Visit https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-configuring_external_authentication
2. Look for keycloak/RHSSO integration
3.

Actual results: Not documented

Expected results: Documented procedure on how to use rhsso as authentication mechanism backend.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.